Issue #3731 has been updated by mame (Yusuke Endoh).

Target version changed from 2.0.0 to next minor

ko1, I think you are not divided yet.

This looks a big feature.  I'm setting this to next minor.
Please try it if you have time after you finished other tasks.

-- 
Yusuke Endoh <mame / tsg.ne.jp> 
----------------------------------------
Feature #3731: Easier Embedding API for Ruby
https://bugs.ruby-lang.org/issues/3731#change-33695

Author: Beoran (Beoran Aegul)
Status: Assigned
Priority: High
Assignee: ko1 (Koichi Sasada)
Category: core
Target version: next minor


=begin
 With Ruby 1.9, it has become more difficult to embed Ruby in a C application correctly. 
 It would be nice if there was a clearly documented and simple C API to embed ruby in C programs.
 I know Ruby was not designed from the start to be embedded, but Ruby was used before in several 
 products as an embedded scripting langauge. It should therefore be possible to do so in a 
 more straightforward way. 
 
 Kind Regards,
 
 B.
=end



-- 
http://bugs.ruby-lang.org/